org.eclipse.microprofile.rest.client.tck.providers

## Class TestMessageBodyWriter

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.TestMessageBodyWriter

All Implemented Interfaces:
  jakarta.ws.rs.ext.MessageBodyWriter<String>

    @Produces(value="text/plain")
    public class TestMessageBodyWriter
    extends Object
    implements jakarta.ws.rs.ext.MessageBodyWriter<String>

### Constructor Summary

Constructors
Constructor and Description
`TestMessageBodyWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getSize(String s, Class<?> aClass, Type type, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
`boolean` `isWriteable(Class<?> aClass, Type type, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
`void` `writeTo(String s, Class<?> aClass, Type type, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,Object> multivaluedMap, OutputStream outputStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestMessageBodyWriter

    public TestMessageBodyWriter()

### Method Detail

#### isWriteable

    public boolean isWriteable(Class<?> aClass,
                               Type type,
                               Annotation[] annotations,
                               jakarta.ws.rs.core.MediaType mediaType)

Specified by:
  `isWriteable` in interface `jakarta.ws.rs.ext.MessageBodyWriter<String>`

#### getSize

    public long getSize(String s,
                        Class<?> aClass,
                        Type type,
                        Annotation[] annotations,
                        jakarta.ws.rs.core.MediaType mediaType)

Specified by:
  `getSize` in interface `jakarta.ws.rs.ext.MessageBodyWriter<String>`

#### writeTo

    public void writeTo(String s,
                        Class<?> aClass,
                        Type type,
                        Annotation[] annotations,
                        jakarta.ws.rs.core.MediaType mediaType,
                        jakarta.ws.rs.core.MultivaluedMap<String,Object> multivaluedMap,
                        OutputStream outputStream)
                 throws IOException,
                        jakarta.ws.rs.WebApplicationException

Specified by:
  `writeTo` in interface `jakarta.ws.rs.ext.MessageBodyWriter<String>`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`